summaryrefslogtreecommitdiff
path: root/regress
diff options
context:
space:
mode:
authordtucker@openbsd.org <dtucker@openbsd.org>2016-11-25 03:02:01 +0000
committerDamien Miller <djm@mindrot.org>2016-11-29 17:19:57 +1100
commit79e4829ec81dead1b30999e1626eca589319a47f (patch)
tree3b4fa2a44372f92f653e51511c92d290d881fd1e /regress
parent504c3a9a1bf090f6b27260fc3e8ea7d984d163dc (diff)
upstream commit
Allow PuTTY interop tests to run unattended. bz#2639, patch from cjwatson at debian.org. Upstream-Regress-ID: 4345253558ac23b2082aebabccd48377433b6fe0
Diffstat (limited to 'regress')
-rw-r--r--regress/putty-ciphers.sh4
-rw-r--r--regress/putty-kex.sh5
-rw-r--r--regress/putty-transfer.sh6
-rw-r--r--regress/test-exec.sh12
4 files changed, 16 insertions, 11 deletions
diff --git a/regress/putty-ciphers.sh b/regress/putty-ciphers.sh
index 724a98cc1..9adba674e 100644
--- a/regress/putty-ciphers.sh
+++ b/regress/putty-ciphers.sh
@@ -1,4 +1,4 @@
1# $OpenBSD: putty-ciphers.sh,v 1.4 2013/05/17 04:29:14 dtucker Exp $ 1# $OpenBSD: putty-ciphers.sh,v 1.5 2016/11/25 03:02:01 dtucker Exp $
2# Placed in the Public Domain. 2# Placed in the Public Domain.
3 3
4tid="putty ciphers" 4tid="putty ciphers"
@@ -16,7 +16,7 @@ for c in aes blowfish 3des arcfour aes128-ctr aes192-ctr aes256-ctr ; do
16 16
17 rm -f ${COPY} 17 rm -f ${COPY}
18 env HOME=$PWD ${PLINK} -load cipher_$c -batch -i putty.rsa2 \ 18 env HOME=$PWD ${PLINK} -load cipher_$c -batch -i putty.rsa2 \
19 127.0.0.1 cat ${DATA} > ${COPY} 19 cat ${DATA} > ${COPY}
20 if [ $? -ne 0 ]; then 20 if [ $? -ne 0 ]; then
21 fail "ssh cat $DATA failed" 21 fail "ssh cat $DATA failed"
22 fi 22 fi
diff --git a/regress/putty-kex.sh b/regress/putty-kex.sh
index 1844d6599..9d3c6a9f0 100644
--- a/regress/putty-kex.sh
+++ b/regress/putty-kex.sh
@@ -1,4 +1,4 @@
1# $OpenBSD: putty-kex.sh,v 1.3 2013/05/17 04:29:14 dtucker Exp $ 1# $OpenBSD: putty-kex.sh,v 1.4 2016/11/25 03:02:01 dtucker Exp $
2# Placed in the Public Domain. 2# Placed in the Public Domain.
3 3
4tid="putty KEX" 4tid="putty KEX"
@@ -14,8 +14,7 @@ for k in dh-gex-sha1 dh-group1-sha1 dh-group14-sha1 ; do
14 ${OBJ}/.putty/sessions/kex_$k 14 ${OBJ}/.putty/sessions/kex_$k
15 echo "KEX=$k" >> ${OBJ}/.putty/sessions/kex_$k 15 echo "KEX=$k" >> ${OBJ}/.putty/sessions/kex_$k
16 16
17 env HOME=$PWD ${PLINK} -load kex_$k -batch -i putty.rsa2 \ 17 env HOME=$PWD ${PLINK} -load kex_$k -batch -i putty.rsa2 true
18 127.0.0.1 true
19 if [ $? -ne 0 ]; then 18 if [ $? -ne 0 ]; then
20 fail "KEX $k failed" 19 fail "KEX $k failed"
21 fi 20 fi
diff --git a/regress/putty-transfer.sh b/regress/putty-transfer.sh
index aec0e04ee..8eb6ae0c0 100644
--- a/regress/putty-transfer.sh
+++ b/regress/putty-transfer.sh
@@ -1,4 +1,4 @@
1# $OpenBSD: putty-transfer.sh,v 1.3 2013/05/17 04:29:14 dtucker Exp $ 1# $OpenBSD: putty-transfer.sh,v 1.4 2016/11/25 03:02:01 dtucker Exp $
2# Placed in the Public Domain. 2# Placed in the Public Domain.
3 3
4tid="putty transfer data" 4tid="putty transfer data"
@@ -17,7 +17,7 @@ for p in 2; do
17 ${OBJ}/.putty/sessions/compression_$c 17 ${OBJ}/.putty/sessions/compression_$c
18 echo "Compression=$c" >> ${OBJ}/.putty/sessions/kex_$k 18 echo "Compression=$c" >> ${OBJ}/.putty/sessions/kex_$k
19 env HOME=$PWD ${PLINK} -load compression_$c -batch \ 19 env HOME=$PWD ${PLINK} -load compression_$c -batch \
20 -i putty.rsa$p 127.0.0.1 cat ${DATA} > ${COPY} 20 -i putty.rsa$p cat ${DATA} > ${COPY}
21 if [ $? -ne 0 ]; then 21 if [ $? -ne 0 ]; then
22 fail "ssh cat $DATA failed" 22 fail "ssh cat $DATA failed"
23 fi 23 fi
@@ -28,7 +28,7 @@ for p in 2; do
28 rm -f ${COPY} 28 rm -f ${COPY}
29 dd if=$DATA obs=${s} 2> /dev/null | \ 29 dd if=$DATA obs=${s} 2> /dev/null | \
30 env HOME=$PWD ${PLINK} -load compression_$c \ 30 env HOME=$PWD ${PLINK} -load compression_$c \
31 -batch -i putty.rsa$p 127.0.0.1 \ 31 -batch -i putty.rsa$p \
32 "cat > ${COPY}" 32 "cat > ${COPY}"
33 if [ $? -ne 0 ]; then 33 if [ $? -ne 0 ]; then
34 fail "ssh cat $DATA failed" 34 fail "ssh cat $DATA failed"
diff --git a/regress/test-exec.sh b/regress/test-exec.sh
index 622bbc2d3..5d48706d4 100644
--- a/regress/test-exec.sh
+++ b/regress/test-exec.sh
@@ -1,4 +1,4 @@
1# $OpenBSD: test-exec.sh,v 1.56 2016/11/25 02:56:49 dtucker Exp $ 1# $OpenBSD: test-exec.sh,v 1.57 2016/11/25 03:02:01 dtucker Exp $
2# Placed in the Public Domain. 2# Placed in the Public Domain.
3 3
4#SUDO=sudo 4#SUDO=sudo
@@ -512,7 +512,11 @@ if test "$REGRESS_INTEROP_PUTTY" = "yes" ; then
512 512
513 # Add a PuTTY key to authorized_keys 513 # Add a PuTTY key to authorized_keys
514 rm -f ${OBJ}/putty.rsa2 514 rm -f ${OBJ}/putty.rsa2
515 puttygen -t rsa -o ${OBJ}/putty.rsa2 < /dev/null > /dev/null 515 if ! puttygen -t rsa -o ${OBJ}/putty.rsa2 \
516 --new-passphrase /dev/null < /dev/null > /dev/null; then
517 echo "Your installed version of PuTTY is too old to support --new-passphrase; trying without (may require manual interaction) ..." >&2
518 puttygen -t rsa -o ${OBJ}/putty.rsa2 < /dev/null > /dev/null
519 fi
516 puttygen -O public-openssh ${OBJ}/putty.rsa2 \ 520 puttygen -O public-openssh ${OBJ}/putty.rsa2 \
517 >> $OBJ/authorized_keys_$USER 521 >> $OBJ/authorized_keys_$USER
518 522
@@ -525,10 +529,12 @@ if test "$REGRESS_INTEROP_PUTTY" = "yes" ; then
525 # Setup proxied session 529 # Setup proxied session
526 mkdir -p ${OBJ}/.putty/sessions 530 mkdir -p ${OBJ}/.putty/sessions
527 rm -f ${OBJ}/.putty/sessions/localhost_proxy 531 rm -f ${OBJ}/.putty/sessions/localhost_proxy
528 echo "Hostname=127.0.0.1" >> ${OBJ}/.putty/sessions/localhost_proxy 532 echo "Protocol=ssh" >> ${OBJ}/.putty/sessions/localhost_proxy
533 echo "HostName=127.0.0.1" >> ${OBJ}/.putty/sessions/localhost_proxy
529 echo "PortNumber=$PORT" >> ${OBJ}/.putty/sessions/localhost_proxy 534 echo "PortNumber=$PORT" >> ${OBJ}/.putty/sessions/localhost_proxy
530 echo "ProxyMethod=5" >> ${OBJ}/.putty/sessions/localhost_proxy 535 echo "ProxyMethod=5" >> ${OBJ}/.putty/sessions/localhost_proxy
531 echo "ProxyTelnetCommand=sh ${SRC}/sshd-log-wrapper.sh ${TEST_SSHD_LOGFILE} ${SSHD} -i -f $OBJ/sshd_proxy" >> ${OBJ}/.putty/sessions/localhost_proxy 536 echo "ProxyTelnetCommand=sh ${SRC}/sshd-log-wrapper.sh ${TEST_SSHD_LOGFILE} ${SSHD} -i -f $OBJ/sshd_proxy" >> ${OBJ}/.putty/sessions/localhost_proxy
537 echo "ProxyLocalhost=1" >> ${OBJ}/.putty/sessions/localhost_proxy
532 538
533 REGRESS_INTEROP_PUTTY=yes 539 REGRESS_INTEROP_PUTTY=yes
534fi 540fi